Skip to content

General ledger account movement

Request

Provides descriptions of movements for general ledger accounts within a given date range.

Security
Class_oAuth(Required scopes: fund.read)
Path
businessCodestringrequired

Class business code

Example:demo-business
fundCodestringrequired

Class entity code

Example:demo-fund
Query
startDatestring, (date)

The start date to retrieve the data for

Example:startDate=2024-07-01
endDatestring, (date)

The end date to retrieve the data for

Example:endDate=2025-06-30
curl -i -X GET \
  'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/accounting-reports/general-ledger-account-movement-descriptions?startDate=2024-07-01&endDate=2025-06-30' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success (Ok)

Bodyapplication/json
ErrorsArray of objectsrequired
Dataobjectrequired
Response
{ "Data": { "FundName": "DEMO_SMSF_2025", "FundCode": "demo-fund", "Period": "2019-08-24", "Gl_AccountMovementDescriptions": [ { "OpeningBalanceIndicator": "Debit", "OpeningQuantity": 100, "OpeningQuantitySpecified": true, "ClosingQuantity": 75.5, "ClosingQuantitySpecified": true, "ClosingBalanceIndicator": "Credit", "Transactions": [ { "Quantity": 150.75, "QuantitySpecified": true, "Date": "2025-10-28", "Description": "Purchase of office supplies", "Amount": 1200.5, "DebitCreditIndicator": "Undefined", "index": 5, "RunningBalance": 8450.25, "RunningBalanceDirection": "Undefined" } ], "DR": "1500.00", "CR": "1250.00", "AccountName": "Investment Income", "GroupName": "Revenue Accounts", "AccountId": "INV-001", "Depth": 2, "OpeningBalanceDate": "2025-07-01", "OpeningBalance": 5000, "OpeningDirection": "Undefined", "ClosingBalance": 4750, "ClosingDirection": "Undefined" } ] }, "Errors": [ { "Code": "string", "Message": "string" } ] }